<template>
  <div class="register">
    <div>

    <b-alert
      v-model="showTop"
      class="position-fixed fixed-top m-0 rounded-0"
      style="z-index: 2000;height:100px;padding-top: 35px;text-align:center"
      variant="success"
      dismissible
    >
      You are successfully logged in.
    </b-alert>
    <b-alert
      v-model="showTopWarning"
      class="position-fixed fixed-top m-0 rounded-0"
      style="z-index: 2000;height:100px;padding-top: 35px;text-align:center"
      variant="danger"
      dismissible
    >
      {{error_msg}}
    </b-alert>
  </div>
    <img src="../assets/images/register.jpg" />
    <div class="form rounded p-2">
      <div class="title">Login</div>
      <label>
        <input type="text" v-model="email" required />
        <div class="label-text">Email id</div>
      </label>
      <label>
        <input type="text" v-model="password" required />
        <div class="label-text">password</div>
      </label>
      <button @click="signIn">Login</button>
      <div>
        <span style="color:#808080">
          Want to create an account?
          <router-link to="/register">Sign up</router-link>
        </span>
      </div>
    </div>
  </div>
</template>
<script>
import { stores } from '.././main.js';
import cookie from 'vue-cookie';
export default {
  data: function () {
      return {
        first_name : '',
        email: '',
        password: '',
        showTop: false,
        showTopWarning: false,
        error_msg : ''
      }
    },
    methods: {
      signIn : function() {
        debugger
        var data = {
          email_id:this.email,
          pass:this.password
        }

        this.axios.post(`https://hackthon-microservice.herokuapp.com/api/v0/login`,data)
          .then(response => {
            debugger
            var that = this
            if(response.data.status == 200) {
                console.log('user-->', response.data.data.first_name);
                cookie.set('first_name',response.data.data.first_name)
                stores.dispatch('setUser', response.data.data)
                this.showTop = !this.showTop
                setTimeout(function(){ 
                  that.$parent.$emit('userUpdate', true);
                  that.routes.push('/')
                  that.routes.go(that.routes.currentRoute)
                  
                }, 3000);
                
            }
            else {
              this.error_msg = response.data.message;
              this.showTopWarning = !this.showTopWarning
            }
          })
          .catch(error => {
            console.log('error', error);
          })
      }
    }
}
</script>
<style lang="scss" scoped>
.form {
  text-align: center;
  background-color: #f0f0f0;
  top: 25%;
  left: 20%;
  width: 30%;
  position: absolute;
}
.title {
  font-weight: 500;
  font-size: 50px;
  text-align: center;
}
img {
  height: 85%;
  position: absolute;
  background: rgba(0, 0, 0, 0.7);
  top: 15%;
  text-align: center;
}
label {
  display: block !important;
  letter-spacing: 4px;
  padding-top: 15px;
  text-align: center;
}
label .label-text {
  color: #9b9b9b;
  cursor: text;
  font-size: 20px;
  line-height: 20px;
  text-transform: uppercase;
  -moz-transform: translateY(-34px);
  -ms-transform: translateY(-34px);
  -webkit-transform: translateY(-34px);
  transform: translateY(-34px);
  transition: all 0.3s;
}
label input {
  background-color: transparent;
  border: 0;
  border-bottom: 2px solid #4a4a4a;
  color: #666666;
  font-size: 30px;
  letter-spacing: -1px;
  outline: 0;
  padding: 0px 20px;
  text-align: center;
  transition: all 0.3s;
  width: 80%;
}
label input:focus {
  max-width: 100%;
  width: 400px;
}
label input:focus + .label-text {
  color: #f0f0f0;
  font-size: 13px;
  -moz-transform: translateY(-74px);
  -ms-transform: translateY(-74px);
  -webkit-transform: translateY(-74px);
  transform: translateY(-74px);
}
label input:valid + .label-text {
  font-size: 13px;
  -moz-transform: translateY(-74px);
  -ms-transform: translateY(-74px);
  -webkit-transform: translateY(-74px);
  transform: translateY(-74px);
}

button {
  background-color: hsl(0, 0%, 20%);
  border: 2px solid #333333;
  border-radius: 27px;
  color: #f0f0f0;
  cursor: pointer;
  font-size: 20px;
  margin: 20px;
  padding: 15px 30px;
  text-transform: uppercase;
  transition: all 200ms;
}
button:hover,
button:focus {
  background-color: #f0f0f0;
  color: #333333;
  outline: 0;
}

.register {
  background-color: #f3e367;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 1000px;
}
</style>
